### Virtual Method

# Gio File query_filesystem_info_async

#### Declaration [src]

    void
    query_filesystem_info_async (
      GFile* file,
      const char* attributes,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously gets the requested information about the filesystem that the specified `file` is on. The result is a `GFileInfo` object that contains key-value attributes (such as type or size for the file).

For more details, see `g_file_query_filesystem_info()` which is the synchronous version of this call.

When the operation is finished, `callback` will be called. You can then call `g_file_query_info_finish()` to get the result of the operation.

#### Parameters

`attributes`

  Type: `const char*`

  An attribute query string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.